package com.gemho.environment.model;

import cn.hutool.core.bean.BeanUtil;
import cn.hutool.core.bean.copier.CopyOptions;
import lombok.Data;
import org.hibernate.annotations.CreationTimestamp;
import org.hibernate.annotations.UpdateTimestamp;

import javax.persistence.*;
import java.io.Serializable;
import java.sql.Timestamp;

/**
* @author 靖小侠
* @date 2020-05-07
*/
@Entity
@Data
@Table(name="s_sensor")
public class Sensor implements Serializable {

    /** 主键 */
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @Column(name = "id")
    private Long id;

    /** 所属公司 */
    @Column(name = "company")
    private String company;

    /** IMEI码 */
    @Column(name = "imei")
    private String imei;

    /** 电信编码 */
    @Column(name = "telecomCode")
    private String telecomcode;

    /** 设备id */
    @Column(name = "deviceid")
    private String deviceid;

    /** 监测设备类型 */
    @Column(name = "devicetype")
    private String devicetype;

    /** 设备名称 */
    @Column(name = "name")
    private String name;

    /** 描述 */
    @Column(name = "nt")
    private String nt;

    /** 设备类型 0:nb 1:4g */
    @Column(name = "type")
    private String type;

    /** 安装位置 */
    @Column(name = "address")
    private String address;

    /** 经度 */
    @Column(name = "jd")
    private Double jd;

    /** 纬度 */
    @Column(name = "wd")
    private Double wd;

    /** 采集频率 */
    @Column(name = "timetrack")
    private Integer timetrack;

    /** 上传频率 */
    @Column(name = "timetrack2")
    private Integer timetrack2;

    /** 信号强度 */
    @Column(name = "rssi")
    private String rssi;

    /** 电池电量 */
    @Column(name = "battery")
    private String battery;

    /** 是否有效 */
    @Column(name = "valid")
    private String valid;

    /** ICCID或卡号 */
    @Column(name = "phoneCode")
    private String phonecode;

    /** ip */
    @Column(name = "ip")
    private String ip;

    /** 端口 */
    @Column(name = "port")
    private String port;

    /** 监测项目 */
    @Column(name = "subject")
    private String subject;

    /** 监测项目代码 */
    @Column(name = "code")
    private String code;

    /** 计算公式 */
    @Column(name = "gs")
    private String gs;

    /** 二维码 */
    @Column(name = "qrcode")
    private String qrcode;

    /** 创建时间 */
    @Column(name = "create_time")
    @CreationTimestamp
    private Timestamp createTime;

    /** 到期时间 */
    @Column(name = "expire")
    private Timestamp expire;

    /** 更新时间 */
    @Column(name = "update_time")
    @UpdateTimestamp
    private Timestamp updateTime;

    /** 工作模式 0手动1自动 */
    @Column(name = "workmode")
    private String workmode;

    /** 在线时间 */
    @Column(name = "onlinetime")
    private Timestamp onlinetime;

    /** 在线 */
    @Column(name = "online")
    private String online;

    /** 运营商 */
    @Column(name = "isp")
    private String isp;

    public void copy(Sensor source){
        BeanUtil.copyProperties(source,this, CopyOptions.create().setIgnoreNullValue(true));
    }
}