package com.gemho.environment.model;

import cn.hutool.core.bean.BeanUtil;
import cn.hutool.core.bean.copier.CopyOptions;
import lombok.Data;

import javax.persistence.*;
import java.io.Serializable;

/**
* @author lhl
* @date 2020-06-19
*/
@Entity
@Data
@Table(name="s_sensor_data")
public class SensorData implements Serializable {

    /** 主键 */
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @Column(name = "id")
    private String id;

    /** 设备id */
    @Column(name = "deviceId")
    private String deviceid;

    /** 检测项 */
    @Column(name = "item")
    private String item;

    /** 检测项名 */
    @Column(name = "itemStr")
    private String itemStr;

    /** 时间 */
    @Column(name = "dtime")
    private String dtime;

    /** 数据值 */
    @Column(name = "data")
    private String data;

    /** 信号强度 */
    @Column(name = "rssi")
    private String rssi;

    /** 电量 */
    @Column(name = "battery")
    private String battery;

    /** 备注 */
    @Column(name = "nt")
    private String nt;

    public void copy(SensorData source){
        BeanUtil.copyProperties(source,this, CopyOptions.create().setIgnoreNullValue(true));
    }
}