package com.gemho.environment.service;

import com.gemho.environment.constants.Constants;
import com.gemho.environment.utils.RedisUtils;
import lombok.extern.slf4j.Slf4j;

import org.springframework.stereotype.Component;

import javax.annotation.Resource;

@Component
@Slf4j
public class Channelhandler {
    @Resource
    RedisUtils redisUtil;

    public void setDeviceChannel(String deviceId,String channelId) {
        /*查询redis是否存在映射关系*/
        Object channel = redisUtil.hget(Constants.REDIS_DEVICE_CHANNEL_KEY, deviceId);
        if (channel == null) {
            log.debug(">>>>>");
            //保存设备通道映射
            log.debug("redis保存设备通道映射{}",redisUtil.hset(Constants.REDIS_DEVICE_CHANNEL_KEY,deviceId,channelId));
            //保存通道设备映射
            log.debug("redis保存通道设备映射{}",redisUtil.hset(Constants.REDIS_CHANNEL_DEVICE_KEY,channelId,deviceId));
        }
    }

    public void rmDeviceChannel(String channelId){
        //查询通道和设备的映射
        String deviceId = redisUtil.hget(Constants.REDIS_CHANNEL_DEVICE_KEY, channelId).toString();
        log.debug(deviceId);
        if (deviceId != null) {
            log.debug("设备Id为{},已断开连接",deviceId);
            //查询设备和通道的映射
            String device_channel = redisUtil.hget(Constants.REDIS_DEVICE_CHANNEL_KEY, deviceId).toString();
            if (device_channel != null) {
                //删除设备和通道的映射
                redisUtil.hdel(Constants.REDIS_DEVICE_CHANNEL_KEY, deviceId);
            }
            //删除通道和设备的映射
            redisUtil.hdel(Constants.REDIS_CHANNEL_DEVICE_KEY, channelId);
        }
    }

    public String getDeviceIdByChannelId(String channelId) {
        String deviceId = redisUtil.hget(Constants.REDIS_CHANNEL_DEVICE_KEY, channelId).toString();
        if (deviceId != null) {
            return deviceId;
        }else {
            return null;
        }
    }
}
